Skip to main content

List events for a chart

Rate limits

This endpoint does not belong to the priority lane. Do not use it within your ticket sales flow.

List the non-deleted events of a chart, sorted by newest event first.

GET https://api-{region}.seatsio.net/charts/{chartKey}/events

More info: https://docs.seats.io/docs/api-pagination
Note

The maximum number of events that can be retrieved in a single request is 100.

Error responses​

  • 404 - Not Found: if the specified chart key does not exist

An example​

curl https://api-{region}.seatsio.net/charts/4250fffc-e41f-c7cb-986a-2c5e728b8c28/events \
-u aSecretKey:
{
"next_page_starts_after": 122,
"items": [
{
"id": 169,
"key": "anEvent",
"chartKey": "4250fffc-e41f-c7cb-986a-2c5e728b8c28",
"isSeason": false,
"isTopLevelSeason": false,
"isPartialSeason": false,
"isEventInSeason": false,
"createdOn": "2017-05-05T10:58:44.715Z"
},
{
"id": 168,
"key": "anotherEvent",
"chartKey": "4250fffc-e41f-c7cb-986a-2c5e728b8c28",
"isSeason": false,
"isTopLevelSeason": false,
"isPartialSeason": false,
"isEventInSeason": false,
"createdOn": "2017-03-05T10:58:44.715Z",
"updatedOn": "2017-04-05T10:58:44.615Z"
}
...
]
}